USING System.Net.*.
USING System.Net.ServicePointManager.*.
USING System.Security.Cryptography.X509Certificates.*.

CLASS AllowCertificatePolicy IMPLEMENTS ICertificatePolicy:
    METHOD PUBLIC LOGICAL CheckValidationResult ( INPUT poSrvPoint           AS ServicePoint,
        INPUT poCertificate        AS X509Certificate,
        INPUT poRequest            AS WebRequest,
        INPUT piCertificateProblem AS INTEGER ):
        RETURN TRUE.
		
    END METHOD.
END CLASS.
    